#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE8,0xD8,0x6D,0x52,0x1C,0x7D,0x12,0x49,0x7A,0x07,0x47,0x46,
		0x8B,0xF0,0x35,0xC3,0xAA,0xAB,0x2F,0x6C,0xAF,0x87,0x40,0x66,
		0xA7,0x8F,0xC2,0x1D,0xEB,0xD6,0xAA,0xCC,0x96,0xD4,0xAA,0x7A,
		0x1D,0x0F,0x7C,0x2A,0x7E,0xE5,0xE7,0x04,0xBD,0x18,0xC0,0xB3,
		0x32,0x57,0x58,0x15,0x9C,0x77,0x04,0x19,0x3F,0xF9,0x4A,0x6C,
		0x69,0xA2,0xCC,0x93,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
